parallel.h File Reference
`#include <utility>`
`#include <memory>`
`#include <iterator>`
`#include <exception>`
`#include <functional>`
`#include <type_traits>`
`#include <limits>`
`#include <algorithm>`
`#include <tuple>`
`#include <c++-gtk-utils/callback.h>`
`#include <c++-gtk-utils/task_manager.h>`
`#include <c++-gtk-utils/mutex.h>`

Go to the source code of this file.

## Classes

struct | Cgu::Thread::ParallelError

## Namespaces

| Cgu
| Cgu::Thread

## Constant Groups

| Cgu
| Cgu::Thread

## Functions

template<class Iterator , class Func >
void | Cgu::Thread::parallel_for_each (TaskManager &tm, Iterator first, Iterator last, Func &&func)
template<class SourceIterator , class DestIterator , class Func >
void | Cgu::Thread::parallel_transform (TaskManager &tm, SourceIterator first, SourceIterator last, DestIterator dest, Func &&func)
template<class SourceIterator1 , class SourceIterator2 , class DestIterator , class Func >
void | Cgu::Thread::parallel_transform (TaskManager &tm, SourceIterator1 first1, SourceIterator1 last1, SourceIterator2 first2, DestIterator dest, Func &&func)
template<class Iterator , class Func >
Iterator | Cgu::Thread::parallel_for_each_partial (TaskManager &tm, Iterator first, Iterator last, int max, Func &&func)
template<class SourceIterator , class DestIterator , class Func >
std::pair< SourceIterator, DestIterator > | Cgu::Thread::parallel_transform_partial (TaskManager &tm, SourceIterator first, SourceIterator last, DestIterator dest, int max, Func &&func)
template<class SourceIterator1 , class SourceIterator2 , class DestIterator , class Func >
std::tuple< SourceIterator1, SourceIterator2, DestIterator > | Cgu::Thread::parallel_transform_partial (TaskManager &tm, SourceIterator1 first1, SourceIterator1 last1, SourceIterator2 first2, DestIterator dest, int max, Func &&func)